Hello,

  In a recent build in a porterbox this packages still fails to build from 
sources.

  Find attached build log.

Regards
-- 
  Hector Oron
dpkg-buildpackage: info: source package eclipse
dpkg-buildpackage: info: source version 3.8.1-8
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Jakub Adam <jakub.a...@ktknet.cz>
 dpkg-source --before-build eclipse-3.8.1
dpkg-buildpackage: info: host architecture amd64
 debian/rules build
make: 'build' is up to date.
 fakeroot debian/rules binary
dh binary
   debian/rules override_dh_auto_install
make[1]: Entering directory '/home/zumbi/eclipse-3.8.1'
ant installSDKinDropins -Dprefix=/usr 
-DdestDir=/home/zumbi/eclipse-3.8.1/debian/tmp
Buildfile: /home/zumbi/eclipse-3.8.1/build.xml
     [echo] Build log is available in build_20150228181320.log
     [echo] uname -m: x86_64. Build eclipse on x86_64 for x86_64.

fetch:

setLib64Dir:

setLibDir:

symlinkBuildFeature:

symlinkBuildConfig:

unpack:

insertBuildId:

applyPatches:

buildHelperTask:

defineTasks:

symlinkDeps:

prebootstrap:
    [mkdir] Created dir: /home/zumbi/eclipse-3.8.1/temp
     [copy] Copying 8 files to /home/zumbi/eclipse-3.8.1/temp
     [copy] Copying 1 file to /home/zumbi/eclipse-3.8.1/temp
    [javac] /home/zumbi/eclipse-3.8.1/build.xml:458: warning: 
'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to 
false for repeatable builds
    [javac] Compiling 9 source files to /home/zumbi/eclipse-3.8.1/temp
    [javac] warning: [options] bootstrap class path not set in conjunction with 
-source 1.3
    [javac] warning: [options] source value 1.3 is obsolete and will be removed 
in a future release
    [javac] warning: [options] target value 1.1 is obsolete and will be removed 
in a future release
    [javac] warning: [options] To suppress warnings about obsolete options, use 
-Xlint:-options.
    [javac] 4 warnings
     [copy] Copying 1 file to 
/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/plugins/org.eclipse.core.runtime.compatibility.registry/classes
   [delete] Deleting directory /home/zumbi/eclipse-3.8.1/temp

bootstrap:

compilelibs:

build:

p2prep:

provision.cvs:

provisionSDKinDropins:
     [echo] Build log is available in build_20150228181320.log
     [echo] uname -m: x86_64. Build eclipse on x86_64 for x86_64.

fetch:

setLib64Dir:

setLibDir:

symlinkBuildFeature:

symlinkBuildConfig:

unpack:

insertBuildId:

applyPatches:

buildHelperTask:

defineTasks:

symlinkDeps:

prebootstrap:
    [mkdir] Created dir: /home/zumbi/eclipse-3.8.1/temp
     [copy] Copying 8 files to /home/zumbi/eclipse-3.8.1/temp
     [copy] Copying 1 file to /home/zumbi/eclipse-3.8.1/temp
    [javac] /home/zumbi/eclipse-3.8.1/build.xml:458: warning: 
'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to 
false for repeatable builds
    [javac] Compiling 9 source files to /home/zumbi/eclipse-3.8.1/temp
    [javac] warning: [options] bootstrap class path not set in conjunction with 
-source 1.3
    [javac] warning: [options] source value 1.3 is obsolete and will be removed 
in a future release
    [javac] warning: [options] target value 1.1 is obsolete and will be removed 
in a future release
    [javac] warning: [options] To suppress warnings about obsolete options, use 
-Xlint:-options.
    [javac] 4 warnings
     [copy] Copying 1 file to 
/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/plugins/org.eclipse.core.runtime.compatibility.registry/classes
   [delete] Deleting directory /home/zumbi/eclipse-3.8.1/temp

bootstrap:

compilelibs:

build:

p2prep:

provision.installed:
     [echo] Installing into:  
/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/installation
     [echo] Build log is available in build_20150228181320.log
     [echo] uname -m: x86_64. Build eclipse on x86_64 for x86_64.

run.installed.director:
     [exec] OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=256m; 
support was removed in 8.0
     [exec] org.eclipse.osgi error loading hook: 
org.eclipse.core.runtime.internal.adaptor.EclipseLogHook
     [exec] java.lang.Error: Unresolved compilation problem: 
     [exec]     Duplicate methods named spliterator with the parameters () and 
() are inherited from the types Collection<K> and Iterable<K>
     [exec] 
     [exec]     at 
org.eclipse.osgi.internal.baseadaptor.ArrayMap.<init>(ArrayMap.java:23)
     [exec]     at 
org.eclipse.equinox.log.internal.ExtendedLogReaderServiceFactory.<init>(ExtendedLogReaderServiceFactory.java:53)
     [exec]     at 
org.eclipse.equinox.log.internal.LogServiceManager.<init>(LogServiceManager.java:27)
     [exec]     at 
org.eclipse.core.runtime.internal.adaptor.EclipseLogHook.<init>(EclipseLogHook.java:71)
     [exec]     at 
sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
     [exec]     at 
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
     [exec]     at 
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
     [exec]     at 
java.lang.reflect.Constructor.newInstance(Constructor.java:423)
     [exec]     at java.lang.Class.newInstance(Class.java:442)
     [exec]     at 
org.eclipse.osgi.baseadaptor.HookRegistry.loadConfigurators(HookRegistry.java:177)
     [exec]     at 
org.eclipse.osgi.baseadaptor.HookRegistry.initialize(HookRegistry.java:100)
     [exec]     at 
org.eclipse.osgi.baseadaptor.BaseAdaptor.<init>(BaseAdaptor.java:98)
     [exec]     at 
sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
     [exec]     at 
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
     [exec]     at 
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
     [exec]     at 
java.lang.reflect.Constructor.newInstance(Constructor.java:423)
     [exec]     at 
org.eclipse.core.runtime.adaptor.EclipseStarter.createAdaptor(EclipseStarter.java:737)
     [exec]     at 
org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:258)
     [exec]     at 
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
     [exec]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
     [exec]     at 
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
     [exec]     at 
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
     [exec]     at java.lang.reflect.Method.invoke(Method.java:498)
     [exec]     at 
org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
     [exec]     at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
     [exec]     at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
     [exec]     at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
     [exec] Eclipse:
     [exec] JVM terminated. Exit code=13
     [exec] /usr/bin/java
     [exec] -Xms40m
     [exec] -Xmx384m
     [exec] -XX:MaxPermSize=256m
     [exec] -jar 
/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/installation//plugins/org.eclipse.equinox.launcher_1.3.0.dist.jar
     [exec] -os linux
     [exec] -ws gtk
     [exec] -arch x86_64
     [exec] -launcher 
/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/installation/eclipse
     [exec] -name Eclipse
     [exec] --launcher.library 
/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/installation//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.200.dist/eclipse_1503.so
     [exec] -startup 
/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/installation//plugins/org.eclipse.equinox.launcher_1.3.0.dist.jar
     [exec] --launcher.overrideVmargs
     [exec] -exitdata 1e8000
     [exec] -consoleLog
     [exec] -data /home/zumbi/eclipse-3.8.1/buildworkspace
     [exec] -application org.eclipse.equinox.p2.director
     [exec] -flavor tooling
     [exec] -installIU org.eclipse.jdt.feature.group
     [exec] -profile PlatformProfile
     [exec] -destination 
/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/installation
     [exec] -p2.os linux
     [exec] -p2.ws gtk
     [exec] -p2.arch x86_64
     [exec] -profileProperties org.eclipse.update.install.features=true
     [exec] -metadatarepository 
file:/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/reposource
     [exec] -artifactrepository 
file:/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/reposource
     [exec] -vm /usr/bin/java
     [exec] -vmargs
     [exec] -Xms40m
     [exec] -Xmx384m
     [exec] -XX:MaxPermSize=256m
     [exec] -jar 
/home/zumbi/eclipse-3.8.1/build/eclipse-3.8.1-src/installation//plugins/org.eclipse.equinox.launcher_1.3.0.dist.jar
 
     [exec] org.eclipse.osgi Startup error
     [exec] java.lang.Error: Unresolved compilation problem: 
     [exec]     Duplicate methods named spliterator with the parameters () and 
() are inherited from the types Collection<K> and Iterable<K>
     [exec] 
     [exec]     at 
org.eclipse.osgi.internal.baseadaptor.ArrayMap.<init>(ArrayMap.java:23)
     [exec]     at 
org.eclipse.osgi.baseadaptor.BaseData.setBundleFile(BaseData.java:418)
     [exec]     at 
org.eclipse.osgi.internal.baseadaptor.BaseStorage.createBundleFile(BaseStorage.java:766)
     [exec]     at 
org.eclipse.osgi.baseadaptor.BaseAdaptor.createBundleFile(BaseAdaptor.java:486)
     [exec]     at 
org.eclipse.osgi.internal.baseadaptor.SystemBundleData.createBundleFile(SystemBundleData.java:122)
     [exec]     at 
org.eclipse.osgi.internal.baseadaptor.SystemBundleData.<init>(SystemBundleData.java:35)
     [exec]     at 
org.eclipse.osgi.baseadaptor.BaseAdaptor.createSystemBundleData(BaseAdaptor.java:355)
     [exec]     at 
org.eclipse.osgi.framework.internal.core.InternalSystemBundle.<init>(InternalSystemBundle.java:106)
     [exec]     at 
org.eclipse.osgi.framework.internal.core.Framework.createSystemBundle(Framework.java:283)
     [exec]     at 
org.eclipse.osgi.framework.internal.core.Framework.<init>(Framework.java:226)
     [exec]     at 
org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:262)
     [exec]     at 
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
     [exec]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
     [exec]     at 
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
     [exec]     at 
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
     [exec]     at java.lang.reflect.Method.invoke(Method.java:498)
     [exec]     at 
org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
     [exec]     at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
     [exec]     at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
     [exec]     at org.eclipse.equinox.launcher.Main.main(Main.java:1414)

BUILD FAILED
/home/zumbi/eclipse-3.8.1/build.xml:1064: The following error occurred while 
executing this line:
/home/zumbi/eclipse-3.8.1/build.xml:764: The following error occurred while 
executing this line:
/home/zumbi/eclipse-3.8.1/build.xml:819: exec returned: 13

Total time: 3 seconds
debian/rules:18: recipe for target 'override_dh_auto_install' failed
make[1]: *** [override_dh_auto_install] Error 1
make[1]: Leaving directory '/home/zumbi/eclipse-3.8.1'
debian/rules:6: recipe for target 'binary' failed
make: *** [binary] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2

Attachment: signature.asc
Description: PGP signature

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to